<template>
    <nav class="flex flex-wrap items-center justify-between w-full py-0 px-4 text-lg text-graylog-700 bg-letnh-bg">
        <img alt="LETNH Logo" class="m-5 max-w-[150px]" id="logo" src="@/assets/dark-logo.svg" />

        <svg @click="toggle_navbar" xmlns="http://www.w3.org/2000/svg" id="menu-button" class="h-6 w-6 cursor-pointer md:hidden block" fill="none" viewBox="0 0 24 24" stroke="#B3ADAD" stroke-width="2">
          <path stroke-linecap="round" stroke-linejoin="round" d="M4 6h16M4 12h16M4 18h16" />
        </svg>

        <div :class="[navbar_toggle ? '' : 'hidden']" class="w-full md:flex md:items-center md:w-auto text-letnh-text" id="menu">
            <ul class="list-none text-base text-gray-700 pt-4 md:flex md:justify-between md:pt-0">
                <li v-for="url in urls" :key="url.name">
                    <a :href="url.url" target="_blank" class="md:p-4 py-2 block hover:text-pink-400 text-letnh-text">{{ url.name }}</a>
                </li>
            </ul>
        </div>
    </nav>
</template>

<script lang="ts">
import { Options, Vue } from 'vue-class-component';

type urls = {
  url: string,
  name: string
}

@Options({
})
export default class Navbar extends Vue {
  navbar_toggle = false;
  urls: urls[] = [
    { url: "https://wiki.letnh.dev",
      name: "Wiki" },
    { url: "https://blog.letnh.dev",
      name: "Blog" },
  ];


  toggle_navbar() {
    console.log("click")
    console.log(this.navbar_toggle)
    this.navbar_toggle = !this.navbar_toggle
    return true
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
